Program z10;
Var i, p, n: Integer;
       y,s : Real;
Begin
s:=12; 
p:=1;
n:=5;
For i:=1 to n do
p:=p*2;
y:=s + p/s;  i:= p div 2;
While i <> 2 Do
   Begin
      y:=s + i/y; 
      i:=i Div 2;
   End;
 y:=2/y; WriteLn('z10  y=', y:2:6);
End.